# Market capitalization

For purposes of transparency, Ripple provides an application programming interface (API) that you can use to query the current market capitalization information — the amount of RLUSD in total issuance — for the RLUSD stablecoin, across all supported blockchain networks.

**Base URL:** `https://api.ripple.com`

## API operations

| Method | Path | Description (link to reference) |
|  --- | --- | --- |
| `GET` | `/v1/stablecoin/market-cap/{currencyCode}/total` | [Get total supply](/pt-br/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapTotal) for all supported blockchain networks |
| `GET` | `/v1/stablecoin/market-cap/{currencyCode}/total/amount` | [Get total supply amount](/pt-br/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapTotalAmount) as a single numeric string |
| `GET` | `/v1/stablecoin/market-cap/{currencyCode}/circulating` | [Get circulating supply](/pt-br/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapCirculating) for all supported blockchain networks |
| `GET` | `/v1/stablecoin/market-cap/{currencyCode}/circulating/amount` | [Get circulating supply amount](/pt-br/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapCirculatingAmount) as a single numeric string |


Note
The market-cap API operations do not require authentication.

For example, the following API calls (URLs) display the indicated information:

* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total) – Gets the total supply (as a JSON payload) for the RLUSD currency, for all supported blockchain networks.
* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total/amount](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total/amount) – Gets the total supply balance as a single numeric string.
* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating) – Gets the circulating supply (as a JSON payload) for the RLUSD currency, for all supported blockchain networks.
* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating/amount](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating/amount) – Gets the circulating supply amount of RLUSD as a single numeric string.


As these are JSON payloads, you can combine them with other JSON processing applications, such as the **jq** command-line tool, to format the output.

For example, the following command uses **jq** to select the aggregate `balance` and the per-chain `chainBalances` breakdown:

`curl -s https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total | jq '{balance, chainBalances}'`

displays the following:

```json
{
  "balance": {
    "amount": "2613981546.161642294443316909"
  },
  "chainBalances": {
    "XRPL_MAINNET": {
      "amount": "980722209.8615311",
      "ledgerIndex": 107985885,
      "chainLedgerIndex": {
        "value": 107985885,
        "chainType": "XRPL"
      }
    },
    "BASE_MAINNET": {
      "amount": "16100575.79097823",
      "ledgerIndex": 53254133,
      "chainLedgerIndex": {
        "value": 53254133,
        "chainType": "ETH"
      }
    },
    "OP_MAINNET": {
      "amount": "143.2433575",
      "ledgerIndex": 158849247,
      "chainLedgerIndex": {
        "value": 158849247,
        "chainType": "ETH"
      }
    },
    "ROBINHOOD_MAINNET": {
      "amount": "0.00",
      "ledgerIndex": 101102522,
      "chainLedgerIndex": {
        "value": 101102522,
        "chainType": "ETH"
      }
    },
    "INK_MAINNET": {
      "amount": "139.01830607",
      "ledgerIndex": 59799186,
      "chainLedgerIndex": {
        "value": 59799186,
        "chainType": "ETH"
      }
    },
    "XRPL_EVM_MAINNET": {
      "amount": "121.06402487",
      "ledgerIndex": 8369249,
      "chainLedgerIndex": {
        "value": 8369249,
        "chainType": "ETH"
      }
    },
    "ETH_MAINNET": {
      "amount": "1617158221.083869394443316909",
      "ledgerIndex": 26300390,
      "chainLedgerIndex": {
        "value": 26300390,
        "chainType": "ETH"
      }
    },
    "UNICHAIN_MAINNET": {
      "amount": "136.09957513",
      "ledgerIndex": 62549109,
      "chainLedgerIndex": {
        "value": 62549109,
        "chainType": "ETH"
      }
    }
  }
}
```

The full response also includes a `tokenBalances` array, which gives the same balances per token issuance, along with each token's issuing address. To see the full response, use `jq .` instead.